2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update thread partially

Prev Next
Patch
/threads/{id}

Operation is used to update specific fields in existing thread. Available from product version 2026.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of thread to update

Body parameters

thread attributes and values to be updated

object
remarks
string

Thread remarks

rightOfUseValidity
string (date-time)

Date of right of use validity

constState
integer

Construction state id. References the construction state of the thread.

owner
integer

Owner id. References the owner of the thread.

rightOfUse
integer

Right of use id. References the right of use for the thread.

threadType
integer

Thread type id. Must match the cable technology: If cable technology is copper (num_value=0), only copper thread types are allowed. If cable technology is fiber (num_value=1), only fiber thread types are allowed. Other cable technologies (e.g. CTV, Hybrid) allow any thread type.

usageState
integer

Usage state id. References the usage state of the thread.

Responses
200

Object was updated successfully

object
cable
string (url)

Url to fetch details of the cable this thread belongs to.

id
integer

Primary key

number
integer

Thread number

remarks
string

Thread remarks

rightOfUseValidity
string (date-time)

Date of right of use validity

constState
integer

Construction state id. References the construction state of the thread.

owner
integer

Owner id. References the owner of the thread.

rightOfUse
integer

Right of use id. References the right of use for the thread.

threadType
integer

Thread type id. Must match the cable technology: If cable technology is copper (num_value=0), only copper thread types are allowed. If cable technology is fiber (num_value=1), only fiber thread types are allowed. Other cable technologies (e.g. CTV, Hybrid) allow any thread type.

usageState
integer

Usage state id. References the usage state of the thread.

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object
details
string

Detailed description of error